> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/customer/bounces/get-all-bounces.md).

# Get All Bounces

### 📬 Get All Bounces

Use this endpoint to fetch the list of bounced emails for a particular campaign.

***

#### 🔹 HTTP Request

```http
GET API-URL/campaigns/CAMPAIGN-UNIQUE-ID/bounces
```

***

#### 🔸 URL Segments

| Segment              | Required | Description                                 |
| -------------------- | -------- | ------------------------------------------- |
| `CAMPAIGN-UNIQUE-ID` | Yes      | Campaign unique ID to retrieve the bounces. |

***

#### 🧾 Query Parameters

| Parameter  | Default | Description                 |
| ---------- | ------- | --------------------------- |
| `page`     | 1       | Current page to retrieve.   |
| `per_page` | 10      | Items per page to retrieve. |

***

#### 🔐 Authorization Header

```
X-API-KEY: your-api-key-here
```

***

#### 💻 PHP Example

```php
// GET ALL ITEMS
$response = $endpoint->getBounces('CAMPAIGN-UNIQUE-ID', $pageNumber = 1, $perPage = 10);

// DISPLAY RESPONSE
echo "<pre>";
print_r($response->body);
echo "</pre>";
```

***

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {
    "count": "1",
    "total_pages": 1,
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "records": [
      {
        "message": "5.1.1 : Recipient address rejected: User unknown in virtual mailbox table",
        "processed": "no",
        "bounce_type": "hard",
        "subscriber": {
          "subscriber_uid": "mn382plq98zr7",
          "email": "invalid.user@demo.com"
        }
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.senderwiz.com/customer/bounces/get-all-bounces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
